Daemon Power

The NetBSD Packages Collection: devel/p5-Git-Repository

Brief description of the package:
Perl interface to Git repositories

Please read the file "DESCR" for a longer description, or browse the package's history.

This package has a home page at https://metacpan.org/release/Git-Repository.

Please note that this package has a gnu-gpl-v2 license.

The package is located in the "devel/p5-Git-Repository" directory. The current source version of the package is "p5-Git-Repository-1.324". For a summary on how to use the package collection, go to the top of the packages tree.

Problem reports, updates or suggestions for this package should be reported with send-pr.

The following security vulnerabilities are known for devel/p5-Git-Repository :

If you have a vulnerable package installed on any machine, you are advised to remove the package immediately, using the standard package tools. The pkg_admin audit command locates any installed package which has been mentioned in security advisories as being vulnerable.

This package requires the following package(s) to build: git-base-[0-9]* p5-Error>=0.17015 perl>=5.30.0 cwrappers>=20150314 perl<5.32.0 p5-Email-Valid>=0.190 p5-MailTools-[0-9]* p5-TimeDate-[0-9]* p5-Net>=1.09 p5-Net-DNS-[0-9]* p5-Digest-HMAC>=1.0 p5-Net-IP>=1.20 p5-IO-Socket-INET6>=2.01 p5-Socket6>=0.12 p5-Socket6-[0-9]* p5-Net-Domain-TLD-[0-9]* p5-IO-CaptureOutput-[0-9]* p5-MailTools>=2.11 p5-Net-SMTP-SSL>=1.01 p5-IO-Socket-SSL-[0-9]* p5-IO-Socket-INET6-[0-9]* p5-Net-LibIDN-[0-9]* libidn>=0.4.6 libidn>=1.20nb1 p5-Net-SSLeay>=1.59 p5-Mozilla-CA-[0-9]* p5-Authen-SASL>=1.0 p5-Digest-HMAC-[0-9]* p5-GSSAPI-[0-9]* pcre2>=10.21 curl>=7.12.3 libidn2>=2.0.0 libunistring>=0.9.3 libunistring>=0.9.4 nghttp2>=1.0.0 python37>=3.7 libffi>=1.20 libuuid>=2.18 libffi>=3.0.11 readline>=2.2 readline>=6.0 python37>=3.7.0 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.8.0nb2 nghttp2>=1.39.2nb1 pcre2>=10.30 curl>=7.65.3nb3 p5-System-Command>=1.103 p5-Git-Version-Compare>=1.001 p5-namespace-clean-[0-9]* p5-B-Hooks-EndOfScope>=0.12 p5-Sub-Exporter-Progressive>=0.001006 p5-Sub-Exporter-[0-9]* p5-Data-OptList>=0.100 p5-Params-Util>=0.14 p5-Sub-Install>=0.921 p5-Sub-Install>=0.920 p5-Variable-Magic>=0.48 p5-Module-Implementation-[0-9]* p5-Module-Runtime>=0.12 p5-Module-Build>=0.42050 p5-inc-latest-[0-9]* p5-Try-Tiny-[0-9]* p5-Capture-Tiny>=0.12 p5-Test-Fatal>=0.006 p5-Try-Tiny>=0.07 p5-Test-Requires-[0-9]* p5-Module-Runtime-[0-9]* p5-Package-Stash>=0.23 p5-Dist-CheckConflicts>=0.02 p5-Test-Fatal-[0-9]* p5-Module-Implementation>=0.06 p5-Package-Stash-XS>=0.26 p5-Test-Exception-[0-9]* p5-Sub-Uplevel>=0.18 p5-Test-NoWarnings-[0-9]* p5-Test-Simple>=1.001010 .

This package requires the following package(s) to run: git-base-[0-9]* p5-Error>=0.17015 perl>=5.30.0 perl<5.32.0 p5-Email-Valid>=0.190 p5-MailTools-[0-9]* p5-TimeDate-[0-9]* p5-Net-DNS-[0-9]* p5-Digest-HMAC>=1.0 p5-Net-IP>=1.20 p5-IO-Socket-INET6>=2.01 p5-Socket6>=0.12 p5-Socket6-[0-9]* p5-Net-Domain-TLD-[0-9]* p5-IO-CaptureOutput-[0-9]* p5-MailTools>=2.11 p5-Net-SMTP-SSL>=1.01 p5-IO-Socket-SSL-[0-9]* p5-IO-Socket-INET6-[0-9]* p5-Net-LibIDN-[0-9]* libidn>=0.4.6 libidn>=1.20nb1 p5-Net-SSLeay>=1.59 p5-Mozilla-CA-[0-9]* p5-Authen-SASL>=1.0 p5-Digest-HMAC-[0-9]* p5-GSSAPI-[0-9]* pcre2>=10.21 curl>=7.12.3 libidn2>=2.0.0 libunistring>=0.9.3 libunistring>=0.9.4 nghttp2>=1.0.0 python37>=3.7 libffi>=1.20 libuuid>=2.18 libffi>=3.0.11 python37>=3.7.0 libxml2>=2.6.2 xmlcatmgr>=2.0beta1 libxml2>=2.8.0nb2 nghttp2>=1.39.2nb1 pcre2>=10.30 curl>=7.65.3nb3 p5-System-Command>=1.103 p5-Git-Version-Compare>=1.001 .

This package supports the following build-time options:

(none)

Select one of the links below to download the package in precompiled binary form for installation with pkg_add(1). Available machine architectures and package versions:
alpha:p5-Git-Repository-1.323.tgz(NetBSD 8.0)
alpha:p5-Git-Repository-1.323.tgz(NetBSD 8.0)
alpha:p5-Git-Repository-1.323.tgz(NetBSD 8.0)
alpha:p5-Git-Repository-1.323nb1.tgz(NetBSD 8.0)
earm:p5-Git-Repository-1.315.tgz(NetBSD 7.0)
earm:p5-Git-Repository-1.323.tgz(NetBSD 8.0)
earm:p5-Git-Repository-1.323.tgz(NetBSD 8.0)
earm:p5-Git-Repository-1.323.tgz(NetBSD 8.0)
earmv4:p5-Git-Repository-1.323.tgz(NetBSD 8.0)
earmv4:p5-Git-Repository-1.323.tgz(NetBSD 8.0)
earmv6hf:p5-Git-Repository-1.323nb1.tgz(NetBSD 8.0)
earmv6hf:p5-Git-Repository-1.323.tgz(NetBSD 8.0)
earmv7hf:p5-Git-Repository-1.323nb1.tgz(NetBSD 8.0)
earmv7hf:p5-Git-Repository-1.323.tgz(NetBSD 8.0)
i386:p5-Git-Repository-1.306nb1.tgz(MirBSD 10)
i386:p5-Git-Repository-1.323nb1.tgz(NetBSD 7.0)
i386:p5-Git-Repository-1.323.tgz(NetBSD 7.0)
i386:p5-Git-Repository-1.323.tgz(NetBSD 7.0)
i386:p5-Git-Repository-1.323.tgz(NetBSD 7.1)
i386:p5-Git-Repository-1.323.tgz(NetBSD 7.1)
i386:p5-Git-Repository-1.323nb1.tgz(NetBSD 7.1)
i386:p5-Git-Repository-1.323nb1.tgz(NetBSD 8.0)
i386:p5-Git-Repository-1.323.tgz(NetBSD 8.0)
i386:p5-Git-Repository-1.323.tgz(NetBSD 8.0)
mips64eb:p5-Git-Repository-1.323.tgz(NetBSD 8.0)
mips64eb:p5-Git-Repository-1.323.tgz(NetBSD 8.0)
mips64eb:p5-Git-Repository-1.323.tgz(NetBSD 8.0)
powerpc:p5-Git-Repository-1.323.tgz(NetBSD 7.1)
powerpc:p5-Git-Repository-1.323.tgz(NetBSD 8.0)
powerpc:p5-Git-Repository-1.323nb1.tgz(NetBSD 8.0)
powerpc:p5-Git-Repository-1.323.tgz(NetBSD 9.0)
sparc64:p5-Git-Repository-1.322.tgz(NetBSD 7.1)
sparc64:p5-Git-Repository-1.323.tgz(NetBSD 8.0)
sparc64:p5-Git-Repository-1.323nb1.tgz(NetBSD 8.0)
sparc:p5-Git-Repository-1.323.tgz(NetBSD 8.0)
sparc:p5-Git-Repository-1.323.tgz(NetBSD 8.0)
x86_64:p5-Git-Repository-1.323nb1.tgz(NetBSD 7.0)
x86_64:p5-Git-Repository-1.323.tgz(NetBSD 7.0)
x86_64:p5-Git-Repository-1.323.tgz(NetBSD 7.0)
x86_64:p5-Git-Repository-1.323nb1.tgz(NetBSD 7.1)
x86_64:p5-Git-Repository-1.323.tgz(NetBSD 7.1)
x86_64:p5-Git-Repository-1.323.tgz(NetBSD 7.1)
x86_64:p5-Git-Repository-1.323.tgz(NetBSD 8.0)
x86_64:p5-Git-Repository-1.323.tgz(NetBSD 8.0)
x86_64:p5-Git-Repository-1.323nb1.tgz(NetBSD 8.0)

The NetBSD packages collection is designed to permit easy installation from source - particularly useful if the latest binary package is not available for your chosen platform.


[ Go up one level | Go to top of packages tree | List all packages ]